Bug 247555 - Nautilus sometimes crashes when called externally to open a folder
Nautilus sometimes crashes when called externally to open a folder
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
7
All Linux
high Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-09 18:48 EDT by Gérard Milmeister
Modified: 2015-03-03 17:31 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:50:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
debug log created by crashing nautilus (716 bytes, text/plain)
2007-07-09 18:49 EDT, Gérard Milmeister
no flags Details

  None (edit)
Description Gérard Milmeister 2007-07-09 18:48:45 EDT
This sometimes happens when opening a folder using
nautilus from the shell:
[gemi]:~:$nautilus tmp
(nautilus:11596): Eel-WARNING **: "nautilus-directory.c: directories" hash table
still has 1 element at quit time (keys above)

(nautilus:11604): Gnome-CRITICAL **: gnome_program_get_app_version: assertion
`program != NULL' failed

ptrace: Operation not permitted.
/home/gemi/1: No such file or directory.
No stack.

There is bug buddy dialog with a message beginning with:
"The application Open Folder crashed."
I installed nautilus-debuginfo, but on the next crash I
didn't get any further information.

This is version 2.18.3 of nautilus.
Comment 1 Gérard Milmeister 2007-07-09 18:49:35 EDT
Created attachment 158818 [details]
debug log created by crashing nautilus

This file has been created by nautilus in the home directory.
Comment 2 Gérard Milmeister 2007-08-11 19:14:15 EDT
This is a very annoying bug, the gnome bugzilla component for nautilus is
flooded with these automatically generated bug reports. So I think this should
get some higher priority.
Comment 3 Borut Semenic 2007-08-12 04:45:15 EDT
The same think start to happened to me if try to delete, create or copy files or
folders.

--- Hash table keys for warning below:
--> file:///home/boruts
(nautilus:3207): Eel-WARNING **: "nautilus-directory.c: directories" hash table
still has 1 element at quit time (keys above)
Xlib: unexpected async reply (sequence 0x3aac)!

and alike
Comment 4 Ilya Ryabinkin 2007-11-18 04:43:48 EST
I confirm the bug. It has been revealed when I tried to use "Search for
files..." capability of Nautilus. After a few dozen of seconds BugBuddy's window
appeared showing crash dialog.
Comment 5 Bug Zapper 2008-05-14 09:29:03 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2008-06-16 21:50:34 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.